org.apache.hadoop.yarn.api.protocolrecords

## Class GetNodesToLabelsResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetNodesToLabelsResponse

-     public abstract class GetNodesToLabelsResponse
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetNodesToLabelsResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Map<NodeId,Set<String>>` | `getNodeToLabels()`
    `static GetNodesToLabelsResponse` | `newInstance(Map<NodeId,Set<String>> map)`
    `abstract void` | `setNodeToLabels(Map<NodeId,Set<String>> map)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetNodesToLabelsResponse

          public GetNodesToLabelsResponse()

  - ### Method Detail

    - #### newInstance

          public static GetNodesToLabelsResponse newInstance(Map<NodeId,Set<String>> map)

    - #### setNodeToLabels

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public abstract void setNodeToLabels(Map<NodeId,Set<String>> map)

    - #### getNodeToLabels

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public abstract Map<NodeId,Set<String>> getNodeToLabels()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.